org.apache.tinkerpop.gremlin.groovy.jsr223

## Class GremlinGroovyScriptEngineOverGraphTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.GremlinGroovyScriptEngineOverGraphTest

-     public class GremlinGroovyScriptEngineOverGraphTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinGroovyScriptEngineOverGraphTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAllowFunctionsUsedInClosure()`
    `void` | `shouldAllowUseOfClasses()`
    `void` | `shouldBeThreadSafe()`
    `void` | `shouldBeThreadSafeOnCompiledScript()`
    `void` | `shouldClearBindingsBetweenEvals()`
    `void` | `shouldDoSomeGremlin()`
    `void` | `shouldEvalGlobalClosuresEvenAfterEvictionOfClass()`
    `void` | `shouldLoadImports()`
    `void` | `shouldLoadStandardImportsAndThenAddToThem()`
    `void` | `shouldProcessUTF8Query()`
    `void` | `shouldProperlyHandleBindings()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GremlinGroovyScriptEngineOverGraphTest

          public GremlinGroovyScriptEngineOverGraphTest()

  - ### Method Detail

    - #### shouldDoSomeGremlin

          public void shouldDoSomeGremlin()
                                   throws Exception

      Throws:
        `Exception`

    - #### shouldLoadImports

          public void shouldLoadImports()
                                 throws Exception

      Throws:
        `Exception`

    - #### shouldLoadStandardImportsAndThenAddToThem

          public void shouldLoadStandardImportsAndThenAddToThem()
                                                         throws Exception

      Throws:
        `Exception`

    - #### shouldProperlyHandleBindings

          public void shouldProperlyHandleBindings()
                                            throws Exception

      Throws:
        `Exception`

    - #### shouldClearBindingsBetweenEvals

          public void shouldClearBindingsBetweenEvals()
                                               throws Exception

      Throws:
        `Exception`

    - #### shouldBeThreadSafe

          public void shouldBeThreadSafe()
                                  throws Exception

      Throws:
        `Exception`

    - #### shouldBeThreadSafeOnCompiledScript

          public void shouldBeThreadSafeOnCompiledScript()
                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldEvalGlobalClosuresEvenAfterEvictionOfClass

          public void shouldEvalGlobalClosuresEvenAfterEvictionOfClass()
                                                                throws ScriptException

      Throws:
        `ScriptException`

    - #### shouldAllowFunctionsUsedInClosure

          public void shouldAllowFunctionsUsedInClosure()
                                                 throws ScriptException

      Throws:
        `ScriptException`

    - #### shouldAllowUseOfClasses

          public void shouldAllowUseOfClasses()
                                       throws ScriptException

      Throws:
        `ScriptException`

    - #### shouldProcessUTF8Query

          public void shouldProcessUTF8Query()
                                      throws Exception

      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.